System 2.0.0.0 4.0.0.0 System.Enum System.Flags

These flags indicate the conditions under which chain verification should occur. For example, if an application does not require certificates time values in a chain to be valid, the flag can be used.

Specifies conditions under which verification of certificates in the X509 chain should be conducted.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509VerificationFlags

  All flags pertaining to verification are included.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509VerificationFlags

  Ignore that the chain cannot be verified due to an unknown certificate authority (CA).

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509VerificationFlags

  Ignore that the certificate authority revocation is unknown when determining certificate verification.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509VerificationFlags

  Ignore that the certificate trust list (CTL) is not valid, for reasons such as the CTL has expired, when determining certificate verification.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509VerificationFlags

  Ignore that the certificate trust list (CTL) signer revocation is unknown when determining certificate verification.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509VerificationFlags

  Ignore that the end certificate (the user certificate) revocation is unknown when determining certificate verification.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509VerificationFlags

  Ignore that the basic constraints are not valid when determining certificate verification.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509VerificationFlags

  Ignore that the certificate has an invalid name when determining certificate verification.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509VerificationFlags

  Ignore that the certificate has invalid policy when determining certificate verification.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509VerificationFlags

  Ignore that the CA (certificate authority) certificate and the issued certificate have validity periods that are not nested when verifying the certificate. For example, the CA cert can be valid from January 1 to December 1 and the issued certificate from January 2 to December 2, which would mean the validity periods are not nested.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509VerificationFlags

  Ignore certificates in the chain that are not valid either because they have expired or they are not yet in effect when determining certificate validity.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509VerificationFlags

  Ignore that the root revocation is unknown when determining certificate verification.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509VerificationFlags

  Ignore that the certificate was not issued for the current use when determining certificate verification.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509VerificationFlags

  No flags pertaining to verification are included.